XBATTBAR(1)

NAME
xbattbar - show battery status in X Window

SYNOPSIS
xbattbar [-options] [position]

DESCRIPTION
xbattbar shows the current (laptop) battery status in the X window environment as a simple bar indicator.

The battery status can be obtained through:
•   APM kernel module (default)
•   ACPI (option -c )
•   sysfs (option -r )
•   external script (option -s )

The following options are available:

-a  Keep the indicator window always on top of other windows.

-t thickness
    Set the thickness of the indicator in pixels. The default is 3 pixels.

-p interval
    Set the polling interval in seconds. The default is 10 seconds.

-I color
    Set the color for the charging indicator (AC online).

-O color
    Set the color for the charging indicator background (AC online).

-i color
    Set the color for the battery level indicator (AC offline).

-o color
    Set the color for the battery level indicator background (AC offline).

-c  Use ACPI instead of APM to obtain battery status.

-r  Use sysfs to obtain battery status. This option requires a sysfs battery checker script (thanks to Elena Grandi <elena.valhalla@gmail.com> for the script).

-x num
    Enable Xinerama support and place the indicator on screen num (counting from 0). You must specify this option even for screen 0 to enable Xinerama. If not specified, Xinerama is not used.

-s script-name
    Use an external script to check battery status. The script must print two lines to STDOUT:

    battery=value

    ac_line=on|off

  Position
The position argument specifies where to place the indicator on the display:

TOP Place the indicator at the top of the display.

BOTTOM
    Place the indicator at the bottom of the display (default).

LEFT
    Place the indicator at the left side of the display.

RIGHT
    Place the indicator at the right side of the display.

When the mouse cursor enters the status indicator, a diagnosis window appears in the center of the display, showing both AC line status and battery remaining level. The window disappears when the mouse cursor leaves the indicator.

EXAMPLES

xbattbar -c -t 2 -a LEFT
    Show battery status using ACPI, with thickness 2 pixels, always on top, placed on the left side of the display.

xbattbar -c -x 0
    Show battery status using ACPI on Xinerama screen 0. The indicator appears at the bottom of the screen (default position).

xbattbar -c -x 0 LEFT
    Show battery status using ACPI on Xinerama screen 0, placed on the left side of the display.

AUTHOR
Suguru Yamaguchi <suguru@wide.ad.jp>, Akira Kato <kato@wide.ad.jp>, Noriyuki Shigechika <nazo@wide.ad.jp>, Dmitry E. Oboukhov <unera@debian.org>, E. Kask <E.Kask@posteo.de>